## org.jfree.data.xy
Class XYInterval

    java.lang.Object
      org.jfree.data.xy.XYInterval

All Implemented Interfaces:
  java.io.Serializable

    public class XYInterval

extends java.lang.Object
implements java.io.Serializable

An xy-interval. This class is used internally by the `XYIntervalDataItem` class.

Since:
  1.0.3
See Also:
  Serialized Form

Constructor Summary
`XYInterval(double xLow, double xHigh, double y, double yLow, double yHigh)` Creates a new instance of `XYInterval`.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`double` `getXHigh()` Returns the upper bound of the x-interval.
`double` `getXLow()` Returns the lower bound of the x-interval.
`double` `getY()` Returns the y-value.
`double` `getYHigh()` Returns the upper bound of the y-interval.
`double` `getYLow()` Returns the lower bound of the y-interval.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYInterval

    public XYInterval(double xLow,
                      double xHigh,
                      double y,
                      double yLow,
                      double yHigh)

  Creates a new instance of `XYInterval`.

  Parameters:
    `xLow` - the lower bound of the x-interval.
    `xHigh` - the upper bound of the y-interval.
    `y` - the y-value.
    `yLow` - the lower bound of the y-interval.
    `yHigh` - the upper bound of the y-interval.

Method Detail

### getXLow

    public double getXLow()

  Returns the lower bound of the x-interval.

  Returns:
    The lower bound of the x-interval.

### getXHigh

    public double getXHigh()

  Returns the upper bound of the x-interval.

  Returns:
    The upper bound of the x-interval.

### getY

    public double getY()

  Returns the y-value.

  Returns:
    The y-value.

### getYLow

    public double getYLow()

  Returns the lower bound of the y-interval.

  Returns:
    The lower bound of the y-interval.

### getYHigh

    public double getYHigh()

  Returns the upper bound of the y-interval.

  Returns:
    The upper bound of the y-interval.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.